aboutsummaryrefslogtreecommitdiff
path: root/package/lirc-tools/S25lircd
diff options
context:
space:
mode:
authorGravatar Rhys Williams <github@wilberforce.co.nz>2015-03-25 10:40:28 +1300
committerGravatar Thomas Petazzoni <thomas.petazzoni@free-electrons.com>2015-04-03 15:16:40 +0200
commit1ba7e76d5786114e05482ae6528e6da61eb12be3 (patch)
treee7c3e086065a87fc3e6bccd655448b5eb4363a6e /package/lirc-tools/S25lircd
parent4b47ab6cd45fe383c14cb3a2e5426c87477f14db (diff)
downloadbuildroot-1ba7e76d5786114e05482ae6528e6da61eb12be3.tar.gz
buildroot-1ba7e76d5786114e05482ae6528e6da61eb12be3.tar.bz2
lirc-tools: new package
This package adds the userspace tools and daemons LIRC - Linux remote control [Thomas: - rewrap Config.in help text, lines were too long. And do a bit of rewording also. - remove trailing whitespaces in Config.in. - make sure Config.in is included from package/Config.in, otherwise the package is not visible. - use a full destination path when installing the sysv init script. - add dependency on BR2_USE_MMU, since fork() is used. - fix init script: use -n option to not daemonize since start-stop-daemon is already doing that, use 'mkdir -p' and 'ln -sf' to make the 'start' action re-executable.] Signed-off-by: Rhys Williams <github@wilberforce.co.nz> Reviewed-by: Baruch Siach <baruch@tkos.co.il> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
Diffstat (limited to 'package/lirc-tools/S25lircd')
-rwxr-xr-xpackage/lirc-tools/S25lircd38
1 files changed, 38 insertions, 0 deletions
diff --git a/package/lirc-tools/S25lircd b/package/lirc-tools/S25lircd
new file mode 100755
index 0000000000..0f57f55ba0
--- /dev/null
+++ b/package/lirc-tools/S25lircd
@@ -0,0 +1,38 @@
+#!/bin/sh
+#
+# Start lirc
+#
+# Support for remotes - Add remotes to /etc/lirc/lircd.conf.d/
+#
+
+start() {
+ echo -n "Starting lirc: "
+ mkdir -p /var/run/lirc
+ ln -sf /var/run/lirc/lircd /dev/lircd
+ start-stop-daemon -b -S -q -m -p /var/run/lirc.pid --exec /usr/sbin/lircd -- -n -O /etc/lirc/lirc_options.conf
+ echo "OK"
+}
+
+stop() {
+ echo -n "Stopping lirc: "
+ start-stop-daemon -K -q -p /var/run/lirc.pid
+ echo "OK"
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart|reload)
+ stop
+ start
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ exit 1
+esac
+
+exit $?